const AWS = require('aws-sdk');
const dynamodb = new AWS.DynamoDB({apiVersion: '2012-08-10'});

exports.handler = async function(event, context) {
  console.log(JSON.stringify(event));
  const [, tableName] = process.env.DEPENDENCY1_ARN.split('/');
  const value = event.detail.random;
  if (value < 0.01) {
    throw new Error('random value too small');
  }
  await dynamodb.putItem({
    TableName: tableName,
    Item: {
      id: {
        S: event.detail.ts.toString()
      },
      value: {
        S: value.toString()
      }
    }
  }).promise();
  return true;
};
